// src/typography.ts
var TYPOGRAPHY_SIZE = {
  12: {
    fontSize: 12,
    lineHeight: 20
  },
  14: {
    fontSize: 14,
    lineHeight: 22
  },
  16: {
    fontSize: 16,
    lineHeight: 24
  },
  20: {
    fontSize: 20,
    lineHeight: 28
  },
  32: {
    fontSize: 32,
    lineHeight: 40
  }
};
var TYPOGRAPHY_WEIGHT = [
  "regular",
  "bold"
];
var TYPOGRAPHY_VARIANT = [
  "proportional",
  "monospace"
];

// src/spacing.ts
var SPACING = {
  0: 0,
  4: 4,
  8: 8,
  16: 16,
  24: 24,
  40: 40,
  64: 64,
  104: 104,
  168: 168,
  272: 272,
  440: 440
};

// src/grid.ts
var COLUMN_UNIT = 80;
var GUTTER_UNIT = 24;
function columnSystem(span, column, gutter) {
  return span * column + (span - 1) * gutter;
}

// src/border-radius.ts
var BORDER_RADIUS = {
  none: 0,
  4: 4,
  8: 8,
  16: 16,
  24: 24,
  oval: 999999
};

// src/breakpoint.ts
var HORIZONTAL_MIN_MARGIN = 72;
var BREAKPOINT = {
  [6]: columnSystem(6, COLUMN_UNIT, GUTTER_UNIT) + HORIZONTAL_MIN_MARGIN * 2,
  [8]: columnSystem(8, COLUMN_UNIT, GUTTER_UNIT) + HORIZONTAL_MIN_MARGIN * 2,
  [10]: columnSystem(10, COLUMN_UNIT, GUTTER_UNIT) + HORIZONTAL_MIN_MARGIN * 2,
  [12]: columnSystem(12, COLUMN_UNIT, GUTTER_UNIT) + HORIZONTAL_MIN_MARGIN * 2
};
export {
  BORDER_RADIUS,
  BREAKPOINT,
  COLUMN_UNIT,
  GUTTER_UNIT,
  HORIZONTAL_MIN_MARGIN,
  SPACING,
  TYPOGRAPHY_SIZE,
  TYPOGRAPHY_VARIANT,
  TYPOGRAPHY_WEIGHT,
  columnSystem
};
//# sourceMappingURL=index.esm.js.map